#include <iostream>
#include <unordered_map>
#include <vector>
using namespace std;
int main() {
    cin.tie(NULL);
    ios::sync_with_stdio(false);
    int a;
    cin >> a;
    int b[a][2];
    unordered_map<int, vector<int>> c;
    for(int i = 0; i < a; i++) cin >> b[i][0] >> b[i][1];
    for(int i = 0; i < a; i++) for(int j = i + 1; j < a; j++) c[b[i][0] - b[j][0]].push_back(b[i][1] - b[j][1]);
    int d = 0;
    int e = 0;
    for(pair<int, vector<int>> i : c){
        for(int j = 0; j < i.second.size(); j++){
            for(int k = 0; k < c[i.first * 2].size(); k++) if(2 * i.second[j] == c[i.first * 2][k]) d++;
            for(int k = 0; k < c[i.first * -2].size(); k++) if(-2 * i.second[j] == c[i.first * -2][k]) d++;
        }
    }
    cout << d << "\n";
    return 0;
}